const { join, extname } = require('path')
function getMw(files) {
   const mw = {}
   const privateMw = {}
   files.forEach(({ path, name }) => {
      let [filename, method, js] = name.split('.')
      if ((js !== 'js' && extname(name) !== '.js') || method !== 'mw') return
      if (filename.startsWith('#')) privateMw[path] = join(path, name)
      else mw[path] = join(path, name)
   })
   return { mw, privateMw }
}

module.exports = getMw